Waves API 2500

€68 £60.08 incl. VAT
Download license

Product Details

Compressor Plug-in (Download)

  • Emulation of the API 2500 vintage compressor
  • Developed in collaboration with API

Specifications:

  • Supported formats: VST2 / VST3 / AU / AAXnative / SoundGrid
  • Windows 7 and later (64-Bit)
  • Mac OSX 10.11 and later
  • Intel Core i5
  • 8 GB RAM
  • 8 GB of storage space
  • Internet connection

6 Reviews

Total
Handling
Features
Sound/quality
Computer utilisation

 

Your Contact: Studio/Synth/Software

Customers Interested in This Product Also Bought